Bug 1733205 - flag 'hv_vapic' can't improve Windows 7 guest's performance evidently
Summary: flag 'hv_vapic' can't improve Windows 7 guest's performance evidently
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: qemu-kvm
Version: 8.1
Hardware: x86_64
OS: Linux
high
unspecified
Target Milestone: rc
: ---
Assignee: Vitaly Kuznetsov
QA Contact: liunana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 12:23 UTC by liunana
Modified: 2019-09-11 12:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1727238
Environment:
Last Closed: 2019-09-11 12:31:35 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description liunana 2019-07-25 12:23:12 UTC
Description of problem:
flag 'hv_vapic' can't improve Windows 7 guest's performance evidently


Version-Release number of selected component (if applicable):



How reproducible:
2/2


Steps to Reproduce:
1. boot guest with command [1] without flag 'hv_vapic'
2. Using the IOmeter tool observer the storage performance
   a.download the tool inside the guest
     http://sourceforge.net/projects/iometer/files/iometer-stable/1.1.0/iometer-1.1.0-win64.x86_64-bin.zip/download
   b.Open the IOmeter and do configuration
     "Disk Target" ==> "D: ""
     "Access Specifications" ==> "4KiB 100% Read;"
     "Test Setup" ==> "30 Minutes"
   c. Start Test
3.Shutdown the guest. Then boot the same guest again with command "-cpu Skylake-Client-IBRS,+kvm_pv_unhalt,hv_vapic". Repeat the step 2

Actual results:
   storage performance without any flag
     PROCESSOR,CPU 1 ==> 90.14%
     IOPS ==> 137927.50

   storage performance with the flag "hv_vapic"
     PROCESSOR,CPU ==> 82.42%
     IOPS ==> 130868.31



Expected results:
flag 'hv_vapic' can improve Windows 7 guest's performance evidently


Additional info:
/usr/libexec/qemu-kvm -name win7 -M q35 -enable-kvm \
-cpu Skylake-Client-IBRS \
-monitor stdio \
-nodefaults -rtc base=utc \
-m 4G \
-smp 2,sockets=1,cores=2,threads=2,maxcpus=4 \
-qmp tcp:0:4444,server,nowait \
-object secret,id=sec0,data=redhat \
-blockdev node-name=back_image,driver=file,cache.direct=on,cache.no-flush=off,filename=/home/1-win7/win7.luks,aio=threads \
-blockdev node-name=drive-virtio-disk0,driver=luks,cache.direct=on,cache.no-flush=off,file=back_image,key-secret=sec0 \
-device pcie-root-port,id=root0,slot=0 \
-device virtio-blk-pci,drive=drive-virtio-disk0,id=disk0,bus=root0 \
-blockdev node-name=back_image1,driver=file,cache.direct=on,cache.no-flush=off,filename=/home/1-win7/win7-disk.qcow2,aio=threads \
-blockdev node-name=drive-virtio-disk1,driver=qcow2,cache.direct=on,cache.no-flush=off,file=back_image1 \
-device pcie-root-port,id=root2,slot=2 \
-device virtio-blk-pci,drive=drive-virtio-disk1,id=disk1,bus=root2 \
-device pcie-root-port,id=root1,slot=1 \
-device virtio-net-pci,mac=70:5a:0f:38:cd:a4,id=idhRa7sf,vectors=4,netdev=idNIlYmb,bus=root1 -netdev tap,id=idNIlYmb,vhost=on \
-drive id=drive_cd1,if=none,snapshot=off,aio=threads,cache=none,media=cdrom,file=/home/iso/windows/virtio-win-prewhql-0.1-172.iso \
-device ide-cd,id=cd1,drive=drive_cd1,bus=ide.0,unit=0 \
-device ich9-usb-uhci6 \
-device usb-tablet,id=mouse \
-device qxl-vga,id=video1 \
-spice port=5903,disable-ticketing \
-device virtio-serial-pci,id=virtio-serial1 \
-chardev spicevmc,id=charchannel0,name=vdagent \
-device virtserialport,bus=virtio-serial1.0,nr=3,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 \

Comment 1 liunana 2019-07-26 01:48:18 UTC
Test Environments
Host:
   kernel-4.18.0-119.el8.x86_64
   qemu-4.1.0-rc1
   seabios-bin-1.11.1-4.module+el8.1.0+3531+2918145b.noarch
Guest:
   en_windows_7_ultimate_with_sp1_x64_dvd_u_677332.iso


Note You need to log in before you can comment on or make changes to this bug.